/*
 * @copyright		© Copyright 2006-2010, epages GmbH, All Rights Reserved.
 *
 * @module			de_epages
 */

define("de_epages", ["jquery", "ep"], function ($, ep) {

	// Simulate subclass of jQuery
	var rootjQuery = $(document), 
		de_epages = function ( selector, context ) {
			return new $.fn.init( selector, context, rootjQuery );
		};
	
	// Get all properties of jQuery to de_epages
	$.extend( true, de_epages, $ );
	
	// Setup prototype context
	de_epages.fn = $.fn = $.prototype;

	// Expose ep to the global object
	window.de_epages = de_epages;
	
	return de_epages;
});
